curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
डेटाबेस सत्यापन
इंडोनेशिया निवासी पहचान पत्र सत्यापन API
Didit के साथ इंडोनेशिया के प्रामाणिक डेटाबेस से निवासी पहचान पत्र की जाँच। प्रति कॉल $0.35 से, कोई अनुबंध नहीं, कोई न्यूनतम नहीं।
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
इनपुट डेटा को किसी सरकारी एजेंसी के विरुद्ध सत्यापित करता है। Didit इस सेवा को
POST /v3/database-validation/ के माध्यम से उपलब्ध कराता है, ताकि आप सबमिट किए गए डेटा को प्रामाणिक स्रोत के विरुद्ध सत्यापित कर सकें और सामान्यीकृत मिलान परिणाम प्राप्त कर सकें।
कवरेज
- कवरेज: ~ 90%
- देश: इंडोनेशिया
- सेवा ID:
idn_residential_identity_card - डेटा डोमेन: पता
- श्रेणी: आवासीय
इनपुट
| फ़ील्ड | आवश्यक | उदाहरण |
|---|---|---|
full_name | हाँ | John Doe |
date_of_birth | हाँ | 1990-01-01 |
national_id | हाँ | 1111111111111111 |
address.street_1 | हाँ | 123 Sample Street |
address.postal_code | हाँ | 10001 |
address.street_2 | नहीं | Unit 4 |
address.city | नहीं | Sample City |
address.region | नहीं | Sample State |
gender | नहीं | M |
vendor_data | नहीं | user-1234 |
- आवश्यक इनपुट:
full_name,date_of_birth,national_id,address.street_1,address.postal_code - वैकल्पिक इनपुट:
address.street_2,address.city,address.region,gender,vendor_data - सहमति: आवश्यक
- वर्कफ़्लो में उपलब्धता: वर्कफ़्लो में उपलब्ध
- कवरेज: ~ 90%
- कीमत: प्रति सफल क्वेरी $0.35
बॉडी पैरामीटर
string
डिफ़ॉल्ट:"IDN"
आवश्यक
इस डेटाबेस सेवा के लिए ISO 3166-1 alpha-3 देश कोड।उदाहरण:
IDNstring
डिफ़ॉल्ट:"idn_residential_identity_card"
आवश्यक
इस सेवा ID वाला एक ऐरे। सेवा को पिन करने से अनुरोध इसी सटीक डेटाबेस तक सीमित रहता है।उदाहरण:
idn_residential_identity_cardboolean
डिफ़ॉल्ट:"true"
आवश्यक
इस सेवा के लिए अंतिम उपयोगकर्ता की स्पष्ट सहमति।उदाहरण:
truestring
डिफ़ॉल्ट:"John Doe"
आवश्यक
सत्यापित किया जाने वाला पूरा कानूनी नाम।उदाहरण:
John Doestring
डिफ़ॉल्ट:"1990-01-01"
आवश्यक
YYYY-MM-DD प्रारूप में जन्म तिथि।उदाहरण: 1990-01-01string
डिफ़ॉल्ट:"1111111111111111"
आवश्यक
इस सेवा के लिए राष्ट्रीय पहचान संख्या।उदाहरण:
1111111111111111object
आवश्यक
संरचित आवासीय पते का ऑब्जेक्ट।
street_1, street_2, city, region, postal_code और country का उपयोग करें। पूरा पुराने प्रारूप वाला पता स्ट्रिंग अब भी स्वीकार किया जाता है, लेकिन इसकी अनुशंसा नहीं की जाती।उदाहरण: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
लिंग मान, जब डेटाबेस को इसकी आवश्यकता हो।स्वीकार्य मान:
M (पुरुष), F (महिला), X (अन्य या अज्ञात)।उदाहरण: Mstring
डिफ़ॉल्ट:"user-1234"
इस व्यक्ति के लिए आपका स्थिर उपयोगकर्ता संदर्भ, जैसे आपकी आंतरिक उपयोगकर्ता ID। Didit इसका उपयोग स्टैंडअलोन जाँचों को उसी अंतिम उपयोगकर्ता से जोड़ने और डुप्लिकेट-पहचान के शोर को कम करने के लिए करता है।उदाहरण:
user-1234इनपुट नियम और सत्यापन नोट्स
national_idमें केवल अंक होने चाहिए; अनुरोध भेजने से पहले स्पेस, हाइफ़न और विराम चिह्न हटा दें।national_idठीक 16 वर्णों का होना चाहिए।- पता सेवाओं के लिए, जहाँ संभव हो, एकल
addressस्ट्रिंग के बजाय संरचित पता फ़ील्ड भेजें। address.street_1सड़क का पता है, जिसमें भवन संख्या और सड़क का प्रकार शामिल है।address.street_2फ़्लैट, यूनिट, भवन, मंज़िल या अतिरिक्त पता पंक्ति है। इसे केवल तभी भेजें जब आपके पास यह हो।address.cityशहर, उपनगर, ज़िला, इलाका या मोहल्ला है।address.regionराज्य, प्रांत, क्षेत्र या कस्बा है।address.postal_codeपोस्टकोड या डाक कोड है।- पते पर आधारित डेटाबेस सेवाओं को कम से कम सड़क का पता और पोस्टल कोड चाहिए; स्रोत खोज से पहले अस्वीकार किए गए अनुरोधों से शुल्क नहीं लिया जाता।
इसे कैसे कॉल करें
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
हर सफल कॉल HTTP 200 लौटाती है। outcome_code फ़ील्ड वास्तव में हुई घटना के बारे में बताता है और, उदाहरण के लिए, वास्तविक बायोमेट्रिक मिलान न होने (BIOMETRIC_NO_MATCH) तथा ऐसी सेल्फ़ी जिसे पढ़ा नहीं जा सका (BIOMETRIC_IMAGE_UNUSABLE) के बीच अंतर करता है। दिखाया गया status डिफ़ॉल्ट सुविधा की स्थिति है; आपके द्वारा कॉन्फ़िगर की गई आंशिक मिलान / कोई मिलान नहीं वाली कार्रवाइयाँ इसे ओवरराइड कर सकती हैं।MATCH: रजिस्ट्री ने पहचान की पुष्टि की और जाँचे गए हर फ़ील्ड का मिलान हुआ।{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: पहचान संख्या मिल गई, लेकिन एक या अधिक व्यक्तिगत फ़ील्ड (आमतौर पर नाम या जन्म तिथि) पूरी तरह मेल नहीं खाए।{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: रजिस्ट्री ने भेजे गए डेटा के लिए कोई मिलान नहीं लौटाया।{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
लौटाया गया डेटा
source_data में दिखाए जाने वाले सटीक फ़ील्ड इस बात पर निर्भर करते हैं कि रजिस्ट्री क्या लौटाती है। idn_residential_identity_card के लिए जनरेट किया गया उदाहरण इस सामान्यीकृत संरचना का दस्तावेज़ीकरण करता है:
address_match_scoredate_of_birthidentification_number
मूल्य निर्धारण और SLA
इंडोनेशिया रेज़िडेंशियल आइडेंटिटी कार्ड की क्वेरी केवल तभी बिल की जाती हैं जब Didit को सत्यापन स्रोत से निर्णायक परिणाम मिलता है।- प्रति कॉल कीमत: $0.35 USD।
- बिलिंग: प्रति सफल क्वेरी। जब रजिस्ट्री तक पहुँच न हो, ज़रूरी फ़ील्ड गायब हों, या अनुरोध स्रोत तक पहुँचने से पहले अस्वीकार कर दिया जाए, तब आपसे शुल्क नहीं लिया जाता।
- विलंबता: सामान्यतः p95 2 सेकंड से कम।
- उपलब्धता: Didit की ओर से प्रति तिमाही 99.9%; डाउनस्ट्रीम स्रोत की उपलब्धता देश और डेटासेट के अनुसार अलग होती है।
आगे पढ़ें
अंतिम संशोधन 7 नवंबर 2026